Skip to content

Create SFS

POST
/api/v1/efs/create/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/efs/create/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"efs_name": "sfs-993",
"efs_disk_size": 250,
"efs_disk_iops": 3750,
"vpc_id": 43429,
"subnet_id": "346",
"efs_plan_name": "250 GB",
"encryption_passphrase": "",
"isEncryptionEnabled": true
}'
page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
efs_name
required
string

Example

sfs-993
efs_disk_size
required
integer

Example

250
efs_disk_iops
required
integer

Example

3750
vpc_id
required
integer

Example

43429
subnet_id
string

Example

346
efs_plan_name
required
string

Example

250 GB
encryption_passphrase
string

Example

isEncryptionEnabled
required
boolean

Example

true

EFS volume created successfully

Media typeapplication/json
object
code
integer
data
object
efs_id
integer
name
string
private_ip
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"efs_id": 1148,
"name": "sfs-993",
"private_ip": "10.9.218.8"
},
"errors": {},
"message": "Setting Up your SFS will take 2-3 minutes."
}